aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--community/utmps/APKBUILD11
1 files changed, 8 insertions, 3 deletions
diff --git a/community/utmps/APKBUILD b/community/utmps/APKBUILD
index 38c0771e22..6cca7aa4b2 100644
--- a/community/utmps/APKBUILD
+++ b/community/utmps/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Laurent Bercot <ska-devel@skarnet.org>
# Contributor: Laurent Bercot <ska-devel@skarnet.org>
pkgname=utmps
-pkgver=0.0.2.2
+pkgver=0.0.3.1
pkgrel=0
pkgdesc="A secure utmp/wtmp implementation"
url="https://skarnet.org/software/$pkgname/"
@@ -11,7 +11,7 @@ depends="execline s6"
depends_dev="skalibs-dev"
makedepends="skalibs-dev"
options="!check"
-subpackages="$pkgname-dev $pkgname-doc $pkgname-openrc"
+subpackages="$pkgname-static $pkgname-dev $pkgname-doc $pkgname-openrc"
source="https://skarnet.org/software/utmps/utmps-$pkgver.tar.gz
$pkgname.initd
utmpd.run
@@ -63,7 +63,12 @@ doc() {
cp -a "$builddir/doc" "$subpkgdir/usr/share/doc/$pkgname"
}
-sha512sums="1e7b53e7fcbd15a113aef8001ac77c3646ecd4723eaca77b36400c76ee96dafe919a993603a1fd441f1c9fff08c5924714910d43ae86fbf85971c39b950323c0 utmps-0.0.2.2.tar.gz
+static() {
+ default_static
+ rmdir -p "$pkgdir"/usr/lib || :
+}
+
+sha512sums="30ad442d3dc4d8961b759361412b32903d6a0c9421d94e8fec2dd529dc63e0e551444be4c9b3a5f9eb8fcc6cbd2950f7c0bb0d6c5eda92b9278598dd2e4264b6 utmps-0.0.3.1.tar.gz
437d0c52ef1ecd23775990225647c2a6ca53691fb5688ffa866a0e6db177a08fe465f2e683e8b98ba668d8ddcd4ffa0fe3939f23ded276f4ca7acaa2553b10e6 utmps.initd
0ec30284c64c6ea9f25142c5f4a643bd48b137fe85781b650104f5137ffa4dfc35ca7be3e41e3acd3403ebe1d8c5378073afa4e2f3607d3d794fcd9f98ed51c4 utmpd.run
cba4f2ec3b8f5becf3ae57eecf584745d783046ee6cf5d116322421ad5ffd074d2955da22d31d2b5b1d05f906378aae92f221d2ac95ac21b54a361fbdc0566e7 wtmpd.run"